# Database API creation system for Zope
# Copyright (C) 2000 Shane Hathaway
# E-mail: shathaway@earthling.net or hathawsh@pi.slcc.edu
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

__version__ = '0.1.1'

import DatabaseAPI
import DatabaseConnector
import Constant

def initialize(context):

    try:
	context.registerClass(
	    DatabaseAPI.DatabaseAPI,
            constructors=(DatabaseAPI.manage_addDatabaseAPIForm,
                          DatabaseAPI.manage_addDatabaseAPI),
	    icon='dbapi.gif'
	    )
	context.registerBaseClass(DatabaseAPI.DatabaseAPI)
        
	context.registerClass(
	    DatabaseConnector.DatabaseConnector,
            constructors=(DatabaseConnector.manage_addDatabaseConnectorForm,
                          DatabaseConnector.manage_addDatabaseConnector,
                          DatabaseConnector.listAvailableAPIs),
	    icon='dbconn.gif'
	    )
	context.registerBaseClass(DatabaseConnector.DatabaseConnector)
        
	context.registerClass(
	    Constant.Constant,
            constructors=(Constant.manage_addConstantForm,
                          Constant.manage_addConstant,
                          Constant.getConstantTypes),
	    icon='constant.gif'
	    )
	context.registerBaseClass(Constant.Constant)

    except:
        '''If you cant register the product, tell someone.'''
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(
	    traceback.format_exception(type, val, tb),''))
        del type, val, tb

